#!/usr/bin/env bash

STRING_ARRAY=("uniform" "RAR" "it-pdPINN" "MH-pdPINN" "HMC-pdPINN")

for SAMPLING_METHOD in "${STRING_ARRAY[@]}"
do
  echo "${SAMPLING_METHOD}"
  python pdPINN_fokker_planck.py --n-samples 30000 --n-iterations 30000 --sampling-method ${SAMPLING_METHOD} --fraction-background .2 --dim 1 --runtime # --no-plots
done

python pdPINN_fokker_planck.py --n-samples 30000 --n-iterations 30000 --sampling-method true --fraction-background 0. --dim 1 --runtime # --no-plots
